> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the caller's active accounts for a toolkit



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json get /accounts
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /accounts:
    get:
      tags:
        - Accounts
      summary: List the caller's active accounts for a toolkit
      operationId: listPersonalAccounts
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: toolkit
          in: query
      responses:
        '200':
          description: The signed-in user's connected accounts for the requested toolkit
          content:
            application/json:
              schema:
                type: object
                properties:
                  accounts:
                    type: array
                    items:
                      type: object
                      properties:
                        alias:
                          type:
                            - string
                            - 'null'
                        display_name:
                          type:
                            - string
                            - 'null'
                        id:
                          type: string
                        status:
                          type: string
                          enum:
                            - ACTIVE
                        toolkit:
                          type: string
                      required:
                        - alias
                        - display_name
                        - id
                        - status
                        - toolkit
                required:
                  - accounts
        '400':
          description: A toolkit is required; Owner selectors are not accepted
        '401':
          description: A native web session or ContextLayer access token is required
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.